Bug 146721 - iscsi software initiator should set vary_io in Scsi_Host_Template
iscsi software initiator should set vary_io in Scsi_Host_Template
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-01-31 19:11 EST by Dave Wysochanski
Modified: 2008-04-07 00:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2005-01-31 19:11:22 EST
Description of problem: 
The iSCSI software initiator should set vary_io in the
Scsi_Host_Template so that sector sized direct IO can be done.
There's no underlying limitation to this, since this is iSCSI, so it
should set this flag.

Version-Release number of selected component (if applicable):
- iscsi driver in kernel 2.4.21-27.ELsmp (3.6.1 iscsi driver module)

How reproducible:
- Happens any time you want to do sector sized IO with a file or
device opened with O_DIRECT

Steps to Reproduce:
1. open a file with O_DIRECT flag
2. try to read/write with sector sized IO
Actual results:
- Error if you try to use sector sized IO after opening a file with

Expected results:
- No error

Additional info:
Comment 1 Suzanne Hillman 2005-02-07 12:34:29 EST
Internal RFE bug #147366 entered; will be considered for future releases.
Comment 2 Tom Coughlan 2005-03-08 11:37:50 EST
Unfortunately, this did not get in to U5. I am reluctant to change anything
until BZ 145818 is fixed anyway. 

Dave, did you observe that setting vary_io actually fixed the O_DIRECT sector
sized IO problem? I would not have expected that.
Comment 3 RHEL Product and Program Management 2007-10-19 15:08:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.